Package ghidra.app.decompiler

# Class ClangCommentToken

java.lang.Object
ghidra.app.decompiler.ClangToken
ghidra.app.decompiler.ClangCommentToken

All Implemented Interfaces:
  `ClangNode`

public class ClangCommentToken extends ClangToken
A token in source code representing (part of) a comment.

- ## Field Summary

  ### Fields inherited from class ghidra.app.decompiler.ClangToken

  `COMMENT_COLOR, CONST_COLOR, DEFAULT_COLOR, ERROR_COLOR, FUNCTION_COLOR, GLOBAL_COLOR, KEYWORD_COLOR, MAX_COLOR, PARAMETER_COLOR, SPECIAL_COLOR, TYPE_COLOR, VARIABLE_COLOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClangCommentToken(ClangNode par)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, PcodeFactory pfactory)`
  Decode this token from the current position in an encoded stream
  `static ClangCommentToken`
  `derive(ClangCommentToken source, String text)`
  `Address`
  `getMaxAddress()`
  Get the biggest Program address associated with the code that this text represents
  `Address`
  `getMinAddress()`
  Get the smallest Program address associated with the code that this text represents
  `boolean`
  `isVariableRef()`

  ### Methods inherited from class ghidra.app.decompiler.ClangToken

  `buildSpacer, buildToken, Child, flatten, getClangFunction, getHighlight, getHighSymbol, getHighVariable, getLineParent, getPcodeOp, getScalar, getSyntaxType, getText, getVarnode, isMatchingToken, iterator, numChildren, Parent, setHighlight, setLineParent, setMatchingToken, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClangCommentToken

    public ClangCommentToken(ClangNode par)

- ## Method Details

  - ### derive

    public static ClangCommentToken derive(ClangCommentToken source, String text)

  - ### isVariableRef

    public boolean isVariableRef()
    Overrides:
      `isVariableRef` in class `ClangToken`
    Returns:
      true if this token represents a variable (in source code)

  - ### getMinAddress

    public Address getMinAddress()
    Description copied from interface: `ClangNode`
    Get the smallest Program address associated with the code that this text represents
    Specified by:
      `getMinAddress` in interface `ClangNode`
    Overrides:
      `getMinAddress` in class `ClangToken`
    Returns:
      the smallest Address

  - ### getMaxAddress

    public Address getMaxAddress()
    Description copied from interface: `ClangNode`
    Get the biggest Program address associated with the code that this text represents
    Specified by:
      `getMaxAddress` in interface `ClangNode`
    Overrides:
      `getMaxAddress` in class `ClangToken`
    Returns:
      the biggest Address

  - ### decode

    public void decode(Decoder decoder, PcodeFactory pfactory) throws DecoderException
    Description copied from class: `ClangToken`
    Decode this token from the current position in an encoded stream
    Overrides:
      `decode` in class `ClangToken`
    Parameters:
      `decoder` - is the decoder for the stream
      `pfactory` - is used to look up p-code objects associated with the token
    Throws:
      `DecoderException` - for problems decoding the stream